Package be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

# Enum Class CDVACCINEvalues

java.lang.Object
java.lang.Enum<CDVACCINEvalues>
be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDVACCINEvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDVACCINEvalues>`, `java.lang.constant.Constable`

public enum CDVACCINEvalues extends Enum<CDVACCINEvalues>

Java class for CD-VACCINEvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-VACCINEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="polio"/>
         <enumeration value="diteper"/>
         <enumeration value="haemo"/>
         <enumeration value="mmr"/>
         <enumeration value="hepatitiesb"/>
         <enumeration value="mmr12"/>
         <enumeration value="dite12"/>
         <enumeration value="meningitisc"/>
         <enumeration value="influenza"/>
         <enumeration value="pneumonia"/>
         <enumeration value="ditepro"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DITE_12`
  `DITEPER`
  `DITEPRO`
  `HAEMO`
  `HEPATITIESB`
  `INFLUENZA`
  `MENINGITISC`
  `MMR`
  `MMR_12`
  `PNEUMONIA`
  `POLIO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDVACCINEvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDVACCINEvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDVACCINEvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### POLIO

    public static final CDVACCINEvalues POLIO

  - ### DITEPER

    public static final CDVACCINEvalues DITEPER

  - ### HAEMO

    public static final CDVACCINEvalues HAEMO

  - ### MMR

    public static final CDVACCINEvalues MMR

  - ### HEPATITIESB

    public static final CDVACCINEvalues HEPATITIESB

  - ### MMR_12

    public static final CDVACCINEvalues MMR_12

  - ### DITE_12

    public static final CDVACCINEvalues DITE_12

  - ### MENINGITISC

    public static final CDVACCINEvalues MENINGITISC

  - ### INFLUENZA

    public static final CDVACCINEvalues INFLUENZA

  - ### PNEUMONIA

    public static final CDVACCINEvalues PNEUMONIA

  - ### DITEPRO

    public static final CDVACCINEvalues DITEPRO

- ## Method Details

  - ### values

    public static CDVACCINEvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDVACCINEvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDVACCINEvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.